Upstream information

CVE-2021-3547 at MITRE

Description

OpenVPN 3 Core Library version 3.6 and 3.6.1 allows a man-in-the-middle attacker to bypass the certificate authentication by issuing an unrelated server certificate using the same hostname found in the verify-x509-name option in a client configuration.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 7.4
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1188246 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 openvpn Not affected
SUSE CaaS Platform 4.0 openvpn Not affected
SUSE CaaS Platform 4.5 openvpn Analysis
SUSE Enterprise Storage 6 openvpn Not affected
SUSE Enterprise Storage 7 openvpn Not affected
SUSE Linux Enterprise Desktop 15 SP2 openvpn Analysis
SUSE Linux Enterprise Desktop 15 SP3 openvpn Not affected
SUSE Linux Enterprise Desktop 15 SP4 openvpn Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 openvpn Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openvpn Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 openvpn Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 openvpn Analysis
SUSE Linux Enterprise Module for Basesystem 15 SP3 openvpn Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 openvpn Not affected
SUSE Linux Enterprise Point of Service 11 SP3 openvpn Not affected
SUSE Linux Enterprise Real Time 15 SP2 openvpn Not affected
SUSE Linux Enterprise Server 11 SP1 openvpn Not affected
SUSE Linux Enterprise Server 11 SP3 openvpn Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS openvpn Not affected
SUSE Linux Enterprise Server 12 SP2 BCL openvpn Not affected
SUSE Linux Enterprise Server 12 SP3 BCL openvpn Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS openvpn Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS openvpn Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS openvpn Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS openvpn Not affected
SUSE Linux Enterprise Server 12 SP5 openvpn Not affected
SUSE Linux Enterprise Server 15 ESPOS openvpn Not affected
SUSE Linux Enterprise Server 15 LTSS openvpn Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS openvpn Not affected
SUSE Linux Enterprise Server 15 SP2 openvpn Analysis
SUSE Linux Enterprise Server 15 SP2 LTSS openvpn Not affected
SUSE Linux Enterprise Server 15 SP3 openvpn Not affected
SUSE Linux Enterprise Server 15 SP4 openvpn Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openvpn Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 15 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openvpn Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openvpn Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openvpn Not affected
SUSE Linux Enterprise Storage 7 openvpn Analysis
SUSE Linux Enterprise Storage 7.1 openvpn Not affected
SUSE Manager Proxy 4.0 openvpn Analysis
SUSE Manager Proxy 4.1 openvpn Analysis
SUSE Manager Proxy 4.2 openvpn Not affected
SUSE Manager Proxy 4.3 openvpn Not affected
SUSE Manager Retail Branch Server 4.0 openvpn Analysis
SUSE Manager Retail Branch Server 4.1 openvpn Analysis
SUSE Manager Retail Branch Server 4.2 openvpn Not affected
SUSE Manager Retail Branch Server 4.3 openvpn Not affected
SUSE Manager Server 4.0 openvpn Analysis
SUSE Manager Server 4.1 openvpn Analysis
SUSE Manager Server 4.2 openvpn Not affected
SUSE Manager Server 4.3 openvpn Not affected
SUSE OpenStack Cloud 8 openvpn Not affected
SUSE OpenStack Cloud 9 openvpn Not affected
SUSE OpenStack Cloud Crowbar 8 openvpn Not affected
SUSE OpenStack Cloud Crowbar 9 openvpn Not affected